MultiMAN updates to be compatible with upcoming PS3 4.21CFW

Discussion in 'User Submitted News' started by MarcusRaven, Sep 26, 2012.

  1. MarcusRaven
    OP

    Member MarcusRaven HBC Theme Maker

    Joined:
    Feb 5, 2010
    Messages:
    928
    Location:
    N. Carolina
    Country:
    United States
    Source

    So this seems very promising. It continues on to say that the MultiMAN update hasn't been fully tested with the CFW yet, but since it hasn't been released to the public yet that makes sense.

    I'll be keeping a close eye on this one. ^_^
     
    1 person likes this.


  2. VashTS

    Member VashTS Beat it, son

    Joined:
    Mar 14, 2009
    Messages:
    3,658
    Location:
    Upstate NY
    Country:
    United States
    Oh boy I can't wait for the shit storm this is going to cause. Glad it's coming from china, doubt sony can sue anyone there. I was just reading about this on another hax site I frequent.
     
  3. azoreseuropa

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,503
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    The multiman is ready to update right now but I wont update it until there is 4.21 cfw available at first. I understand that you must have 3.55 CFW for 4.21 CFW to work properly. Again, since he said there will be no need a dongle at all however chinese link said it is going to be one or might be. According to this: Red Power now called Blue Disk, DRM-Infected PS3 dongle required. *CONFUSION*
     
  4. Pong20302000

    Member Pong20302000 making notes on everything

    Joined:
    Sep 8, 2009
    Messages:
    8,076
    Location:
    One's inner self
    Country:
    Japan
    well heres the reply about what it says

    得到RED POWER的人员回复—— 系统只能在3.55刷,刷机风险与3.55升级到官方4.21相同。
     
  5. azoreseuropa

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,503
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    Please translate it in English? :)
     
  6. MarcusRaven
    OP

    Member MarcusRaven HBC Theme Maker

    Joined:
    Feb 5, 2010
    Messages:
    928
    Location:
    N. Carolina
    Country:
    United States
    Google translate didn't do a great job of it, but my guess is that there's a risk of it installing as 4.21 official and then failing the rest, thus making you stuck on 4.21 with no hope? Not sure.

    EDIT: Okay, so the iffy-ness of this is starting to set in. The YouTube Video they have of it running has a GLARING cut in it. 1:07, place your mouse cursor on the right edge of the screen when they're just about to skip the opening video. Then when the main menu of the game pops up, you see that it no longer lines up because they cut the video to a more zoomed in view. To me, this seems iffy.

    [yt]cuwHN6UbU6A[/yt]

    I understand that to play the intro video and logos it would have to work, but that cut in the video makes me think something's up. I hope I didn't post this info too soon. >.
     
  7. Dork

    Member Dork GBAtemp Advanced Fan

    Joined:
    Dec 23, 2009
    Messages:
    841
    Country:
    United States
    Oh fuck, I just upgraded to 4.25.
     
    1 person likes this.
  8. narutofan777

    Member narutofan777 GBAtemp Advanced Fan

    Joined:
    Mar 27, 2010
    Messages:
    731
    Country:
    Afghanistan
    what does this mean for new games?
     
  9. azoreseuropa

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,503
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    It was already explained at china source:

     
  10. MarcusRaven
    OP

    Member MarcusRaven HBC Theme Maker

    Joined:
    Feb 5, 2010
    Messages:
    928
    Location:
    N. Carolina
    Country:
    United States
    Still, blatent video cuts like that greatly reduce credibility nowadays. Especially with something as touch as PS3 hacking. Personally, I don't see why they couldn't just start over and make sure they got the whole thing in one cut, but that's just me.
     
  11. azoreseuropa

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,503
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    Ease your doubt and just wait. Right now, Deank is the faithful of Multiman so he said its real. He knows something that we don't. :)
     
    1 person likes this.
  12. MarcusRaven
    OP

    Member MarcusRaven HBC Theme Maker

    Joined:
    Feb 5, 2010
    Messages:
    928
    Location:
    N. Carolina
    Country:
    United States
    Fair enough. It is only day one.
     
    1 person likes this.
  13. azoreseuropa

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,503
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    Here:

    [​IMG]

    Its not mine.. Deank's Multiman is announcing and it's update is available right now. For me, I won't do it until 4.21 CFW is available first. :)
     
  14. jalaneme

    Member jalaneme Female Gamer

    Joined:
    Nov 27, 2006
    Messages:
    6,247
    Location:
    London
    Country:
    United Kingdom
    I will believe it when I see it, on top of that it doesn't look promising if dongles are already being talked about.

    also this from PS3 hax:

    http://www.ps3hax.net/2012/09/some-problems-with-red-power-debunking-or-just-fighting/

    like I said it doesn't look good and it seems you have to PAY to use this new cfw.
     
  15. azoreseuropa

    Member azoreseuropa GBAtemp Psycho!

    Joined:
    Nov 6, 2002
    Messages:
    4,503
    Location:
    I am deaf and live in the USA for now :D
    Country:
    Portugal
    Its rumor right now. I hope that Deank is right not to use dongle.
     
  16. Cyan

    Global Moderator Cyan GBATemp's lurking knight

    Joined:
    Oct 27, 2002
    Messages:
    16,455
    Location:
    Engine room, learning
    Country:
    France
    a new CFW? that's interesting, but it seems suspicious to me.

    So, it's not a real custom firmware 4.21.
    You can't update from any
     
    2 people like this.
  17. shakirmoledina

    Member shakirmoledina Legend

    Joined:
    Oct 23, 2004
    Messages:
    6,611
    Location:
    Dar es Salaam
    Country:
    Tanzania
    Yes cyan makes much sense.
    What I am guessing is that the exploit is used for the 3.55 to make the system "open". Using that hole other things (ie. 4.21 cfw) are brought in but keeping the hole intact. If you update to ofw 4.21, the whole is already covered hence the illegal goods cannot come.

    Maybe this cfw has integrated the keys and some features but not everything from 4.21. I think I remember them saying homebrew apps (others) don't work.
     
  18. Clarky

    Member Clarky Don't you know who I think I am?

    Joined:
    Oct 4, 2007
    Messages:
    1,960
    Country:
    United States
    wouldn't mind if a custom firmware turned up now. the idea of being able to run my own games off the hdd is appealing
     
  19. Arras

    Member Arras ★02

    Joined:
    Sep 14, 2010
    Messages:
    5,717
    Location:
    The Netherlands
    Country:
    Netherlands
    Even if you are able to install this from OFW 4.21, most people (like me) are on 4.25 now anyway >_>
     
  20. ganons

    Member ganons GBAtemp Advanced Maniac

    Joined:
    Jun 12, 2005
    Messages:
    1,944
    Country:
    United Kingdom
    Would love to see wiiflow style backup loader for PS3
     

Share This Page